Soporte » Instalación – Actualizaciones » ¿INFLUYE UN WP DESACTUALIZADO AL PONER NUEVA VERSIÓN DE “PHP”?

  • Resuelto ojoseco

    (@ojoseco)


    Me salió un error fatal en un contenido de la página principal de la web <u>http://www.ojoseco.org </u>al actualizar la versión de PHP. Me dijo la empresa hosting que debería actualizar la versión de WP. ¿Puede influir este motivo? Dado que llevo tiempo sin modificar nada ¿Necesito hacer backup de la web antes de actualizar? Antes, la Comunidad de WP, me actualizaba con éxito la versión de WP. Si actualizara yo y me diera problemas, no sabría por dónde meterle mano.Gracias por su atención

    La página con la que necesito ayuda: [accede para ver el enlace]

Viendo 7 respuestas - de la 1 a la 7 (de un total de 7)
  • Moderador almendron

    (@almendron)

    ¿A qué versión de PHP actualizaste cuando te dio el error?

    Iniciador del debate ojoseco

    (@ojoseco)

    Al PHP 8,1 (recomendado) hasta el 12/24. Gracias Almendron

    Moderador almendron

    (@almendron)

    WordPress, en principio, es compatible con PHP 8.1, así que lo primero de todo es averiguar qué provoca el error fatal.

    Para ello, puedes hacer la siguiente prueba:

    1. Desactiva todos los plugins.
    2. Activa uno de los temas que trae por defecto WordPress
    3. Actualiza PHP

    Lo normal es todo vaya bien y puedas actualizar sin problemas.

    Después, comienzas a activar-comprobar. Primero el tema y después plugin a plugin.

    Iniciador del debate ojoseco

    (@ojoseco)

    Y no será mejor primero actualizar el WP a 6.1.1 (creo) y luego volver a intentar poner el 8.1 de PHP?

    Lo que pasa es que debo hacer copia de seguridad y luego lanzarme a clicar laactualización de WP, que si todo va bien cojonudo pero como haya algun problema…¿Qué porcentaje de éxitos suele haber en las actualiaciones de WP?

    Saludos

    Eduardo

    Moderador almendron

    (@almendron)

    Tienes que facilitar más información:

    ¿Qué versión tienes ahora de WordPress?

    ¿Qué versión tienes ahora de PHP?

    ¿Qué mensaje de error te dio al actualizar PHP? También sería de utilidad cualquier otra información al respecto.

    En cualquier caso, puedes probar lo que comentas. La actualización a WP 6.1.1 no debería dar problemas, pero si llevas mucho tiempo sin actualizar, podrías tener problemas con el tema y los plugins. Y no solo al actualizar WP. Con temas y plugins antiguos sin actualizar es muy probable que tengas problemas al actualizar PHP.

    Iniciador del debate ojoseco

    (@ojoseco)

    Hola Almendron:

    Volví a hablar con el hosting y me solucionó de esta manera. Al parecer tenía dos plugins del 2019 sin actualizar. Los dejó inactivos el de ionos y ya me funcionó el PHP 8.1, cosa en la que coincides en tu último escrito. Te agradezco la atención prestada y lo marco como resuelto.

    Saludos. Eduardo (Si tú o algún compañero tiene síntomas de ojo seco[arenilla, cuerpo extraño, ardor, escozor, fotofobia,..] me podéis escribir o simplemente ver en YouTube los videos de la asociación española de ojo seco)

    Moderador almendron

    (@almendron)

    De nada. Un saludo.

Viendo 7 respuestas - de la 1 a la 7 (de un total de 7)
  • El debate ‘¿INFLUYE UN WP DESACTUALIZADO AL PONER NUEVA VERSIÓN DE “PHP”?’ está cerrado a nuevas respuestas.